WordPress使用MySQL5.6数据库迁移至5.5提示错误的解决方法

之前一直使用的MySQL5.6版本的数据库,但后来换成了锐壳云的空间,只支持5.5的,导入数据表的时候一直提示表的结构不对,折腾了一晚上,各个版本的MySQL都试过了,依旧提示同样的错误 😥

后来我用了个脑残点的方法 ❓ :

准备两台服务器,安装不同版本的MySQL(5.6和5.5)

在两台服务器上同时安装WordPress,把两台服务器上的数据表全部导出,做个对比。果然,发现不对的地方了。。。(左:5.5     右:5.6

 

很明显图中绿色的地方不一致,5.6比5.5多了个520 😈 

把表中的 utf8mb4_unicode_520_ci 批量替换为 utf8mb4_unicode_ci 即可解决所有问题,是的没错,我为了这个折腾了一晚上 ❓ 

暂无评论

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇